# PSF-LoginServer - master - net.psforever.objects.vital.RepairFromTerm
PSF - LoginServer - master - net.psforever.objects.vital.RepairFromTerm
Keywords: PSF LoginServer master net.psforever.objects.vital.RepairFromTerm

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
-  package collision
  Definition Classes
    vital
-  package damage
  Definition Classes
    vital
-  package environment
  Definition Classes
    vital
-  package etc
  Definition Classes
    vital
-  package interaction
  Definition Classes
    vital
-  package projectile
  Definition Classes
    vital
-  package prop
  Definition Classes
    vital
-  package resistance
  Definition Classes
    vital
-  package resolution
  Definition Classes
    vital
- AmenityHitResistance
- AmenitySplashResistance
- AnyResolutions
- ComplexDeployableResolutions
- DamageFrom
- DamageFromEnvironment
- DamageFromExplodingEntity
- DamageFromPainbox
- DamageFromProjectile
- DamagingActivity
- HealFromEquipment
- HealFromExoSuitChange
- HealFromImplant
- HealFromKit
- HealFromTerm
- HealingActivity
- InfantryAggravatedResistance
- InfantryHitResistance
- InfantryLashResistance
- InfantryResolutions
- InfantrySplashResistance
- MaxResolutions
- NoResistance
- NoResistanceSelection
- NoResolutions
- PlayerSuicide
- RepairFromEquipment
- RepairFromKit
- RepairFromTerm
- SimpleResolutions
- StandardAmenityResistance
- StandardInfantryResistance
- StandardVehicleResistance
- VehicleAggravatedResistance
- VehicleHitResistance
- VehicleLashResistance
- VehicleResolutions
- VehicleShieldCharge
- VehicleSplashResistance
- Vitality
- VitalityDefinition
- VitalsActivity
- VitalsHistory

c

net.psforever.objects.vital

# RepairFromTerm 

###
Companion object RepairFromTerm

#### final case class RepairFromTerm(term_def: TerminalDefinition, amount: Int) extends HealingActivity with Product with Serializable

Source
  VitalsHistory.scala

Linear Supertypes
Serializable, Product, Equals, HealingActivity, VitalsActivity, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RepairFromTerm
2. Serializable
3. Product
4. Equals
5. HealingActivity
6. VitalsActivity
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new RepairFromTerm(term_def: TerminalDefinition, amount: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val amount: Int
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  val term_def: TerminalDefinition
17.  def time: Long
    Definition Classes
      HealingActivity → VitalsActivity
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from HealingActivity

### Inherited from VitalsActivity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped